import android.support.v7.app.AppCompatActivity が見つからないとき

import android.support.v7.app.AppCompatActivity が解決できないという場合の対処法です。
こちらを参考にしました。

大丈夫、あなたのコードは間違っていません。

上は、build.gradle(Module: app) の画像です。カーソルの右の文字を「+」に変更して「Sync」します。その後、元の特定のバージョンに戻します。上では「2」です。再び「Sync」します。その後、[Build] - [Clean Project] で直るはずです。